﻿using Syncfusion.Windows.Controls.Input;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPFDoubleTextBox
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;
        }

        private double doubleValue;

        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propertyName)
        {
            var property = PropertyChanged;
            if (property != null)
                property(this, new PropertyChangedEventArgs(propertyName));
        }
        public double Value
        {
            get
            {
                return doubleValue;
            }
            set
            {
                doubleValue = value;
                RaisePropertyChanged("Value");
            }
        }

        public void StringtoDoubleConvertor(string text, string text1)
        {
            double result, double1= 0, double2=0;
            char[] entity = { '+' };
            string[] string1 = text.Split(entity);
            text = string.Concat(string1);
            if (double.TryParse(text, out result))
            {
                double1 = double.Parse(text);
            }

            
            string[] string2 = text1.Split(entity);
            text1 = string.Concat(string2);
            if (double.TryParse(text1, out result))
            {
                double2 = double.Parse(text1);
            }

            Value = double1 - double2;
            
        }
        
        private void location1_LostFocus(object sender, RoutedEventArgs e)
        {
            if (location1.Value != null && location2.Value != null && !String.IsNullOrEmpty(this.location1.Value.ToString()) && !String.IsNullOrEmpty(this.location2.Value.ToString()))
            {
                string str1;
                str1 = this.location1.Value.ToString();
                string str2;
                str2 = this.location2.Value.ToString();
                StringtoDoubleConvertor(str1, str2);
            }
        }

        private void location2_LostFocus(object sender, RoutedEventArgs e)
        {
            if (location1.Value != null && location2.Value != null && !String.IsNullOrEmpty(this.location1.Value.ToString()) && !String.IsNullOrEmpty(this.location2.Value.ToString()))
            {
                string str1;
                str1 = this.location1.Value.ToString();
                string str2;
                str2 = this.location2.Value.ToString();
                StringtoDoubleConvertor(str1, str2);
            }
        }
    }
}
